Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.GlobalColor

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.GlobalColor

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.GlobalColor

extends java.lang.Enum
implements QtEnumerator

Qt's predefined `QColor` objects:

See also:
  `QColor`.

See Also:
  Serialized Form

Field Summary
`static Qt.GlobalColor` | `black` Black `(#000000)`
`static Qt.GlobalColor` | `blue` Blue `(#0000ff)`
`static Qt.GlobalColor` | `color0` 0 pixel value (for bitmaps)
`static Qt.GlobalColor` | `color1` 1 pixel value (for bitmaps)
`static Qt.GlobalColor` | `cyan` Cyan `(#00ffff)`
`static Qt.GlobalColor` | `darkBlue` Dark blue `(#000080)`
`static Qt.GlobalColor` | `darkCyan` Dark cyan `(#008080)`
`static Qt.GlobalColor` | `darkGray` Dark gray `(#808080)`
`static Qt.GlobalColor` | `darkGreen` Dark green `(#008000)`
`static Qt.GlobalColor` | `darkMagenta` Dark magenta `(#800080)`
`static Qt.GlobalColor` | `darkRed` Dark red `(#800000)`
`static Qt.GlobalColor` | `darkYellow` Dark yellow `(#808000)`
`static Qt.GlobalColor` | `gray` Gray `(#a0a0a4)`
`static Qt.GlobalColor` | `green` Green `(#00ff00)`
`static Qt.GlobalColor` | `lightGray` Light gray `(#c0c0c0)`
`static Qt.GlobalColor` | `magenta` Magenta `(#ff00ff)`
`static Qt.GlobalColor` | `red` Red `(#ff0000)`
`static Qt.GlobalColor` | `transparent` a transparent black value (i.e., `QColor`(0, 0, 0, 0))
`static Qt.GlobalColor` | `white` White `(#ffffff)`
`static Qt.GlobalColor` | `yellow` Yellow `(#ffff00)`

Method Summary
`static Qt.GlobalColor` | `resolve(int value)` Returns the GlobalColor constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.GlobalColor` | `valueOf(java.lang.String name)`
`static Qt.GlobalColor[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### color0

    public static final Qt.GlobalColor color0

  0 pixel value (for bitmaps)

### color1

    public static final Qt.GlobalColor color1

  1 pixel value (for bitmaps)

### black

    public static final Qt.GlobalColor black

  Black `(#000000)`

### white

    public static final Qt.GlobalColor white

  White `(#ffffff)`

### darkGray

    public static final Qt.GlobalColor darkGray

  Dark gray `(#808080)`

### gray

    public static final Qt.GlobalColor gray

  Gray `(#a0a0a4)`

### lightGray

    public static final Qt.GlobalColor lightGray

  Light gray `(#c0c0c0)`

### red

    public static final Qt.GlobalColor red

  Red `(#ff0000)`

### green

    public static final Qt.GlobalColor green

  Green `(#00ff00)`

### blue

    public static final Qt.GlobalColor blue

  Blue `(#0000ff)`

### cyan

    public static final Qt.GlobalColor cyan

  Cyan `(#00ffff)`

### magenta

    public static final Qt.GlobalColor magenta

  Magenta `(#ff00ff)`

### yellow

    public static final Qt.GlobalColor yellow

  Yellow `(#ffff00)`

### darkRed

    public static final Qt.GlobalColor darkRed

  Dark red `(#800000)`

### darkGreen

    public static final Qt.GlobalColor darkGreen

  Dark green `(#008000)`

### darkBlue

    public static final Qt.GlobalColor darkBlue

  Dark blue `(#000080)`

### darkCyan

    public static final Qt.GlobalColor darkCyan

  Dark cyan `(#008080)`

### darkMagenta

    public static final Qt.GlobalColor darkMagenta

  Dark magenta `(#800080)`

### darkYellow

    public static final Qt.GlobalColor darkYellow

  Dark yellow `(#808000)`

### transparent

    public static final Qt.GlobalColor transparent

  a transparent black value (i.e., `QColor`(0, 0, 0, 0))

Method Detail

### values

    public static Qt.GlobalColor[] values()

### valueOf

    public static Qt.GlobalColor valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.GlobalColor resolve(int value)

  Returns the GlobalColor constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD